Bug 1096481 - [abrt] pyhoca-gui: ConfigParser.py:279:options:NoSectionError: No section: '20140510230540239633'
Summary: [abrt] pyhoca-gui: ConfigParser.py:279:options:NoSectionError: No section: '2...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyhoca-gui
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:78ec3c2908af076c9d42729418c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-10 23:21 UTC by Mark Mayfield
Modified: 2014-11-17 06:30 UTC (History)
2 users (show)

Fixed In Version: pyhoca-gui-0.5.0.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 06:30:30 UTC


Attachments (Terms of Use)
File: backtrace (1.65 KB, text/plain)
2014-05-10 23:21 UTC, Mark Mayfield
no flags Details
File: dso_list (65 bytes, text/plain)
2014-05-10 23:21 UTC, Mark Mayfield
no flags Details
File: environ (1.34 KB, text/plain)
2014-05-10 23:21 UTC, Mark Mayfield
no flags Details
~/.x2goclient/sessions (5.74 KB, text/plain)
2014-07-24 00:47 UTC, Mark Mayfield
no flags Details

Description Mark Mayfield 2014-05-10 23:21:21 UTC
Description of problem:
Trying to connect to remote host through pyhoca-gui. May have had typoed the host or port info. When the connection failed pyhoca-gui crashed.

Version-Release number of selected component:
pyhoca-gui-0.4.0.9-1.fc19

Additional info:
reporter:       libreport-2.2.1
cmdline:        pyhoca-gui '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/bin/pyhoca-gui
kernel:         3.13.9-100.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
ConfigParser.py:279:options:NoSectionError: No section: '20140510230540239633'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/taskbar.py", line 174, in CreatePopupMenu
    return self.CreateProfileManagerPopupMenu()
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/taskbar.py", line 184, in CreateProfileManagerPopupMenu
    self.menu_optionsmanager = self.PopupMenu(menus_taskbar.PyHocaGUI_Menu_TaskbarOptionsManager(self._PyHocaGUI, caller=self,))
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/menus_taskbar.py", line 129, in __init__
    disabled_profiles=self._PyHocaGUI.client_connected_profiles(return_profile_names=True) + self._PyHocaGUI._temp_disabled_profile_names,
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 2995, in client_connected_profiles
    return [ self.to_profile_name(p_id) for p_id in self.session_registry.connected_profiles() ]
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 2966, in to_profile_name
    return self.session_profiles.to_profile_name(profile_id)
  File "/usr/lib/python2.7/site-packages/x2go/backends/profiles/_file.py", line 343, in to_profile_name
    _profile_config = self.get_profile_config(profile_id=profile_id)
  File "/usr/lib/python2.7/site-packages/x2go/backends/profiles/_file.py", line 215, in get_profile_config
    for option in self.iniConfig.options(_profile_id):
  File "/usr/lib64/python2.7/ConfigParser.py", line 279, in options
    raise NoSectionError(section)
NoSectionError: No section: '20140510230540239633'

Local variables in innermost frame:
section: '20140510230540239633'
self: <ConfigParser.SafeConfigParser instance at 0x35b6518>

Comment 1 Mark Mayfield 2014-05-10 23:21:26 UTC
Created attachment 894340 [details]
File: backtrace

Comment 2 Mark Mayfield 2014-05-10 23:21:27 UTC
Created attachment 894341 [details]
File: dso_list

Comment 3 Mark Mayfield 2014-05-10 23:21:28 UTC
Created attachment 894342 [details]
File: environ

Comment 4 Orion Poplawski 2014-07-23 03:53:51 UTC
Filed upstream: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=497

We need a copy of .x2goclient/sessions to track this down.

Comment 5 Mark Mayfield 2014-07-24 00:47:52 UTC
Created attachment 920381 [details]
~/.x2goclient/sessions

Comment 6 Fedora Update System 2014-10-20 15:31:42 UTC
pyhoca-gui-0.5.0.0-1.fc19, pyhoca-cli-0.5.0.0-1.fc19, python-x2go-0.5.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyhoca-gui-0.5.0.0-1.fc19,pyhoca-cli-0.5.0.0-1.fc19,python-x2go-0.5.0.0-1.fc19

Comment 7 Fedora Update System 2014-10-21 10:27:41 UTC
Package pyhoca-gui-0.5.0.0-1.fc19, pyhoca-cli-0.5.0.0-1.fc19, python-x2go-0.5.0.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyhoca-gui-0.5.0.0-1.fc19 pyhoca-cli-0.5.0.0-1.fc19 python-x2go-0.5.0.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13359/pyhoca-gui-0.5.0.0-1.fc19,pyhoca-cli-0.5.0.0-1.fc19,python-x2go-0.5.0.0-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-11-17 06:30:30 UTC
pyhoca-gui-0.5.0.0-1.fc19, pyhoca-cli-0.5.0.0-1.fc19, python-x2go-0.5.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.